Bug 824463 - gcc-4.7 regression bitfield store replaced with full-byte store
gcc-4.7 regression bitfield store replaced with full-byte store
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
17
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 813095 855919
  Show dependency treegraph
 
Reported: 2012-05-23 10:11 EDT by Brent Baude
Modified: 2012-09-10 11:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 11:46:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 53438 None None None Never

  None (edit)
Description Brent Baude 2012-05-23 10:11:32 EDT
Description of problem:
There is a regression in 4.7 and 4.8 for bitfield stores. This was discovered in an error in xulrunner, which is blocking firefox for our F17 release (hence the critical nature of this bug).

The upstream bug is at http://gcc.gnu.org/bugzilla/show_bug.cgi?id=53438 and I have tested the patch provided there against F17 and it fixed the problem.

There is speculation this might also fix some other packages but we have yet to identify which packages those might be.
Comment 1 Brendan Jones 2012-06-04 04:50:08 EDT
Is it possible that this is causing bug 827748 ?
Comment 2 Brent Baude 2012-06-04 08:57:53 EDT
gcc has been updated so it's worth trying.

Note You need to log in before you can comment on or make changes to this bug.